Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libfolks-telepathy26-0.15.5-1.5 RPM for ppc64

From OpenSuSE Ports Tumbleweed for ppc64

Name: libfolks-telepathy26 Distribution: openSUSE Tumbleweed
Version: 0.15.5 Vendor: openSUSE
Release: 1.5 Build date: Thu Jun 16 02:50:07 2022
Group: System/Libraries Build host: obs-power9-12
Size: 397308 Source RPM: folks-0.15.5-1.5.src.rpm
Packager: http://bugs.opensuse.org
Url: http://telepathy.freedesktop.org/wiki/Folks
Summary: Telepathy backend for libfolks
libfolks is a library that aggregates people from multiple sources (e.g.
Telepathy connection managers) to create metacontacts.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Wed Mar 23 2022 Bjørn Lie <bjorn.lie@gmail.com>
  - Update to version 0.15.5:
    + Bugs fixed: vapi: Add missing generic type argument.
  - Drop glib2_gsettings_schema_requires macro from folks-data
    sub-package, no longer needed.
  - Drop c44d8e323affd7f1043f300f3325b358cd5b5f0b.patch: Fixed
    upstream.
* Thu Feb 10 2022 Bjørn Lie <bjorn.lie@gmail.com>
  - Add c44d8e323affd7f1043f300f3325b358cd5b5f0b.patch:
    folks-generics: Add missing generic type argument.
  - Update our Supplements to current standard.
  - Use ldconfig_scriptlets macro for post(un) handling.
* Tue Jan 18 2022 Bjørn Lie <bjorn.lie@gmail.com>
  - Update to version 0.15.4:
    + Bugs fixed:
    - Fix docs build against newer eds version.
    - Fix build against newer eds version.
    - Remove volatile keyword from tests.
* Fri Nov 05 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Require libfolks-telepathy%{soversion} from the -devel package:
    we install the .so symlink and must thus guarantee to have the
    link target present too.
* Fri Aug 06 2021 Bjørn Lie <bjorn.lie@gmail.com>
  - Update to version 0.15.3:
    + Fix build against newer eds version.
  - Changes from version 0.15.2:
    + Fixed build errors after API version bump.
    + Fixed gtk-doc errors due to missing version entities.
  - Changes from version 0.15.1:
    + Dependencies:
    - No more dependencies on libtracker
    - GLib minimal requirement: 0.58
    - E-D-S minimal requirement: 3.38
    + Major changes:
    - This release drops the Tracker backend (along with it's
      dependencies).
    - A selection of (small) performance improvements.
    - Auto-generation and deployment of the docs using CI.
  - Drop conditional pkgconfig(tracker-sparql-2.0) BuildRequires, no
    longer needed, nor used. Following this, drop sub-packages
    typelib-1_0-FolksTracker-0_6 and libfolks-tracker25.
  - Bump soversion and module version following upstream changes.
  - Rename sub-packages (typelibs) following api/abi bump.
* Tue Feb 09 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Enable telepathy support again: set with_telepathy to 1.
* Wed Feb 03 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Allow to enable/disable telepathy integration using
    with_telepathy: currently set to 0, as build with new vala fails.
    Considering that telepathy is not really maintained anymore,
    there seems little chance for a fix.
* Wed Nov 11 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Fix dependency of the devel project in case of tracker being
    disabled: conditionally require libfolks-tracker25.
* Mon Sep 07 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Disable tracker backend for the time being: not compatible to
    Tracker 3.
* Wed Mar 11 2020 bjorn.lie@gmail.com
  - Update to version 0.14.0:
    + Updated translations.
  - Module_version is now 46.
  - Rename sub-package libfolks-data to folks-data, and add Obsoletes
    and Provides libfolks-data to ease upgrades for our end-users.
    Eliminates rpm-lint warning.
* Tue Feb 04 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Update to version 0.13.2:
    + Drop python2 dependency.
    + Use the key-file backend to link personas.
    + Automatically pick the correct E-D-S AddressBook version (using
      pkgconfig).
    + GSettings conversion tool no longer installed.
    + Build failure with meson-0.53.0.
  - Drop folks-meson-0.53.patch: fixed upstream.
  - Add python3-dbusmock BuildRequires and Requires: the dependency
    is not new, but the build system now checks for it and it made
    apparent that we forgot to add this in the past.
* Thu Jan 23 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - No longer recommend folks-lang: the -lang package has respective
    supplements to have smarter decision when to be installed.
* Thu Jan 23 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Add folks-meson-0.53.patch: Fix build with meson 0.53.
    py_installation.dependency() is not meant to check if python
    modules are present, but add a dependency on python.
* Fri Sep 06 2019 luke@ljones.dev
  - Disable lto in build due to lto causing segfault in Geary.
* Wed Sep 04 2019 mgorse@suse.com
  - Update to version 0.13.1:
    + Remove libsocialweb backend.
  - Changes in version 0.12.1:
    + Disabled tests that were failing to be able to build a tarball.
  - Changes in version 0.12.0:
    + Dropped depedency on libvaladoc (we now use the binary
      directly).
    + Bumped minimal GLib version to 2.44.
    + Folks is now being built using meson.
    + The autotools build definition was dropped.
    + Dropped support for building without vala.
    + Migrated to the GNOME GitLab and now use a CI-backed workflow.
    + Moved from intltool to gettext.
    + Various fixes for warnings.
    + Lots of translation updates.
    + Bugs fixed:
    - Bug 784544 - Fatal error building git master.
    - Bug 739997 - Crash when selecting contact.
    - Bug 792238 - PotentialMatch: don't rely on null-terminated
      string.
    - Bug 792567 - Individual.display_name: don't fallback on
      persona's display_id if it equals the IID.
  - Switch to meson.
  - Drop intltool dependency. Depend on gettext..
  - Drop folks-tracker.2.0.patch: fixed upstream.
  - Module_version is now 45.
* Fri Jan 04 2019 bjorn.lie@gmail.com
  - Drop post(un) handling of glib2_gsettings_schema_post(un) for
    libfolks-data subpackage, no longer needed.

Files

/usr/lib64/folks/26/backends/telepathy
/usr/lib64/folks/26/backends/telepathy/telepathy.so
/usr/lib64/libfolks-telepathy.so.26
/usr/lib64/libfolks-telepathy.so.26.0.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Sep 9 10:44:32 2022